shinyUI(fluidPage(
  tags$head(
      tags$style(HTML("
          table, th, td {
              border: 2px solid black;
              text-align:right;
          }
          
          th, td {
              padding: 10px;
          }    
       "))
  ), 
  
  titlePanel("Exporatory Data Analysis - Quantitative Variable with Groups"),

  sidebarLayout(
      sidebarPanel(
        conditionalPanel( condition = "input.mytabs == 'Summary Statistics'",
              selectInput("ord","Sort the data within Groups?",
                   choices=c("Yes","No"),selected="No"), 
              checkboxGroupInput("which","Which Statistics should be calculated?",
                   choices=c("Sample Size","Mean","Median","Standard Deviation",
                      "First Quartile","Third Quartile","Interquartile Range"),
                   selected=c("Sample Size","Mean","Standard Deviation"))
         ),
         conditionalPanel( condition = "input.mytabs == 'Graphs'",
              selectInput("doPrint","Print Graph?",
                  choices=c("No","pdf","png"),selected="No")    
         ),
         width=3
        ),
  mainPanel(
        tabsetPanel(
          tabPanel("Summary Statistics",
              uiOutput("text1"),
              uiOutput("text2")
          ),
          tabPanel("Graphs",
              plotOutput("plot")
          ),
          id="mytabs")
        )
  )  
))

